# Visualization
TKV3d
Select3D

# Select3D_SensitivePoint Class Reference

A framework to define sensitive 3D points.
.

`#include <Select3D_SensitivePoint.hxx>`

Inheritance diagram for Select3D_SensitivePoint:

[legend]

## Public Member Functions

Standard_EXPORT | Select3D_SensitivePoint (const Handle(SelectBasics_EntityOwner)&OwnerId, const gp_Pnt &Point)
| Constructs a sensitive point object defined by the owner OwnerId and the point Point. .
Standard_EXPORT void | Project (const Select3D_Projector &aProjector)
| Converts the stored 3D point into a 2D point according to <aprojector> ; this method is called by the selection Manager. .
Standard_EXPORT void | Areas (SelectBasics_ListOfBox2d &aresult)
| stores in <aresult> the 2D sensitive box which represents the point area in the selection process.
Standard_EXPORT Handle_Select3D_SensitiveEntity | GetConnected (const TopLoc_Location &aLocation)
| Returns the sensitive entity found at the location aLocation. You must redefine this function for any type of sensitive entity which can accept another connected sensitive entity.//can be connected to another sensitive entity. .
Standard_EXPORT Standard_Boolean | Matches (const Standard_Real X, const Standard_Real Y, const Standard_Real aTol, Standard_Real &DMin)
| returns true if the X,Y position matches the point else gives the distance between them.
Standard_EXPORT Standard_Boolean | Matches (const Standard_Real XMin, const Standard_Real YMin, const Standard_Real XMax, const Standard_Real YMax, const Standard_Real aTol)

Matches the box defined by the coordinates Xmin,
Ymin, Xmax, Ymax with the entity found at that point
within the tolerance aTol.
Xmin, YMin define the minimum point in the lower left
hand corner of the box, and XMax, YMax define the
maximum point in the upper right hand corner of the box.
You must redefine this function for every inheriting entity.
You will have to call this framework inside the redefined function.
.

virtual Standard_EXPORT Standard_Boolean | Matches (const TColgp_Array1OfPnt2d &Polyline, const Bnd_Box2d &aBox, const Standard_Real aTol)
| prevents from hiding virtual methods...
Standard_EXPORT Standard_Real | ComputeDepth (const gp_Lin &EyeLine) const
| Returns the depth of this object on the line EyeLine. EyeLine goes through the eye towards a point defined by the coordinates X,Y in the function GetEyeLine. //! gives an abcissa on <alin> . <alin> represents the line going through the eye towards an X,Y point on the screen. This Method must return a mean Depth on this line. .
Standard_EXPORT gp_Pnt | Point () const
| Returns the point used at the time of construction. .
virtual Standard_EXPORT void | Dump (Standard_OStream &S, const Standard_Boolean FullDump=Standard_True) const
| 2 options : <fulldump> = False -> general information <fulldump> = True -> whole informtion 3D +2d ...
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Select3D_Pnt | mypoint
Select3D_Pnt2d | myprojpt

## Constructor & Destructor Documentation

Standard_EXPORT Select3D_SensitivePoint::Select3D_SensitivePoint | ( | const Handle(SelectBasics_EntityOwner)& | OwnerId,
|  | const gp_Pnt & | Point
| ) |

## Member Function Documentation

Standard_EXPORT void Select3D_SensitivePoint::Areas | ( | SelectBasics_ListOfBox2d & | aresult | ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

Standard_EXPORT Standard_Real Select3D_SensitivePoint::ComputeDepth | ( | const gp_Lin & | EyeLine | ) | const`[virtual]`

| Implements Select3D_SensitiveEntity.

virtual Standard_EXPORT void Select3D_SensitivePoint::Dump | ( | Standard_OStream & | S,
|  | const Standard_Boolean | FullDump = `Standard_True`
| ) | const`[virtual]`

| Reimplemented from Select3D_SensitiveEntity.

Standard_EXPORT Handle_Select3D_SensitiveEntity Select3D_SensitivePoint::GetConnected | ( | const TopLoc_Location & | aLocation | ) | `[virtual]`

| Reimplemented from Select3D_SensitiveEntity.

Standard_EXPORT const Select3D_SensitivePoint::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Select3D_SensitiveEntity.

virtual Standard_EXPORT Standard_Boolean Select3D_SensitivePoint::Matches | ( | const TColgp_Array1OfPnt2d & | Polyline,
|  | const Bnd_Box2d & | aBox,
|  | const Standard_Real | aTol
| ) | `[virtual]`

| Reimplemented from Select3D_SensitiveEntity.

Standard_EXPORT Standard_Boolean Select3D_SensitivePoint::Matches | ( | const Standard_Real | XMin,
|  | const Standard_Real | YMin,
|  | const Standard_Real | XMax,
|  | const Standard_Real | YMax,
|  | const Standard_Real | aTol
| ) | `[virtual]`

| Reimplemented from Select3D_SensitiveEntity.

Standard_EXPORT Standard_Boolean Select3D_SensitivePoint::Matches | ( | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Standard_Real | aTol,
|  | Standard_Real & | DMin
| ) | `[virtual]`

| Reimplemented from Select3D_SensitiveEntity.

Standard_EXPORT gp_Pnt Select3D_SensitivePoint::Point | ( |  | ) | const

Standard_EXPORT void Select3D_SensitivePoint::Project | ( | const Select3D_Projector & | aProjector | ) | `[virtual]`

| Reimplemented from Select3D_SensitiveEntity.

## Field Documentation

Select3D_Pnt Select3D_SensitivePoint::mypoint `[private]`

Select3D_Pnt2d Select3D_SensitivePoint::myprojpt `[private]`

The documentation for this class was generated from the following file:

- Select3D_SensitivePoint.hxx